package com.ruoyi.generator.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 项目结构节点对象 sys_project_structure
 * 
 * @author ruoyi
 * @date 2025-05-14
 */
public class SysProjectStructure extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 节点ID */
    private Long nodeId;

    /** 父节点ID */
    @Excel(name = "父节点ID")
    private Long parentId;

    /** 节点名称 */
    @Excel(name = "节点名称")
    private String nodeName;

    /** 节点类型(folder/file) */
    @Excel(name = "节点类型(folder/file)")
    private String nodeType;

    /** 功能模块 */
    @Excel(name = "功能模块")
    private String module;

    /** 模板ID */
    @Excel(name = "模板ID")
    private Long templateId;

    /** 关联表ID */
    @Excel(name = "关联表ID")
    private Long tableId;

    /** 文件类别 */
    @Excel(name = "文件类别")
    private String category;

    /** 显示顺序 */
    @Excel(name = "显示顺序")
    private Long sortOrder;

    /** 状态（0正常 1停用） */
    @Excel(name = "状态", readConverterExp = "0=正常,1=停用")
    private String status;

    public void setNodeId(Long nodeId) 
    {
        this.nodeId = nodeId;
    }

    public Long getNodeId() 
    {
        return nodeId;
    }
    public void setParentId(Long parentId) 
    {
        this.parentId = parentId;
    }

    public Long getParentId() 
    {
        return parentId;
    }
    public void setNodeName(String nodeName) 
    {
        this.nodeName = nodeName;
    }

    public String getNodeName() 
    {
        return nodeName;
    }
    public void setNodeType(String nodeType) 
    {
        this.nodeType = nodeType;
    }

    public String getNodeType() 
    {
        return nodeType;
    }
    public void setModule(String module) 
    {
        this.module = module;
    }

    public String getModule() 
    {
        return module;
    }
    public void setTemplateId(Long templateId) 
    {
        this.templateId = templateId;
    }

    public Long getTemplateId() 
    {
        return templateId;
    }
    public void setTableId(Long tableId) 
    {
        this.tableId = tableId;
    }

    public Long getTableId() 
    {
        return tableId;
    }
    public void setCategory(String category) 
    {
        this.category = category;
    }

    public String getCategory() 
    {
        return category;
    }
    public void setSortOrder(Long sortOrder) 
    {
        this.sortOrder = sortOrder;
    }

    public Long getSortOrder() 
    {
        return sortOrder;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("nodeId", getNodeId())
            .append("parentId", getParentId())
            .append("nodeName", getNodeName())
            .append("nodeType", getNodeType())
            .append("module", getModule())
            .append("templateId", getTemplateId())
            .append("tableId", getTableId())
            .append("category", getCategory())
            .append("sortOrder", getSortOrder())
            .append("status", getStatus())
            .toString();
    }
}
